Bug 243641 - yum-presto prevents yum from running if deltarpm server is down
yum-presto prevents yum from running if deltarpm server is down
Product: Fedora
Classification: Fedora
Component: yum-presto (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-11 01:36 EDT by Andre Robatino
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-31 10:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2007-06-11 01:36:11 EDT
Description of problem:
  With yum-presto enabled and pointing to a deltarpm server, yum exits with the
following error if the server isn't available:

Cannot open/read repodata/prestomd.xml file for repository: updates

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install yum-presto from Fedora repo.
2.  Configure it so it's enabled and pointing to a deltarpm server.
3.  Run "yum update".

Actual results:
  Yum gives the above error message and exits.

Expected results:
  Yum should continue as if yum-presto wasn't there, or full RPM reconstruction
from deltarpms failed, by downloading full RPMs directly.

Additional info:
  Don't know if this should be filed under "yum" or "yum-presto".  Please move
if appropriate.  Also, for a fix to be tested, a test server will be needed. 
Please try to get one of the existing Fedora mirrors to become a deltarpm
server, either in addition to or in place of its present role.  Without a test
server, Fedora won't ever be presto-enabled by default.  It's more important
than just one more regular mirror.
Comment 1 Jonathan Dieter 2007-06-11 01:49:32 EDT
This is definitely an issue with yum-presto, not yum.  It only comes into play
when yum-presto is unable to download the presto metadata (as is the case
currently because of Site5's draconian policies).  I will try to get a fix out
there with the next (0.3.11) release.

On a separate note, the school I work for is looking into getting a dedicated
server based in the States that we can generate deltarpms from.  We should have
a test server back up and running within a week.

Comment 2 Jonathan Dieter 2007-07-31 10:14:43 EDT
Fixed in yum-presto-0.4.0 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.